unit Text;

interface

uses
{$IFDEF FPC}
  LResources,
{$ENDIF}
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBCtrls, ExtCtrls, Db, Grids, DBGrids, StdCtrls, ToolWin, ComCtrls, Buttons,
  PgDACVcl, DemoFrame, {$IFNDEF FPC}MemDS{$ELSE}MemDataSet{$ENDIF}, DBAccess, PgAccess;

type
  TTextFrame = class(TDemoFrame)
    DBGrid: TDBGrid;
    DataSource: TDataSource;
    ToolBar: TPanel;
    meText: TDBMemo;
    PgQuery: TPgQuery;
    Splitter1: TSplitter;
    ToolBar1: TPanel;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    ToolButton1: TToolButton;
    Panel1: TPanel;
    DBNavigator: TDBNavigator;
    btClose: TSpeedButton;
    btOpen: TSpeedButton;
    Panel2: TPanel;
    btClear: TSpeedButton;
    btSave: TSpeedButton;
    btLoad: TSpeedButton;
    procedure btOpenClick(Sender: TObject);
    procedure btCloseClick(Sender: TObject);
    procedure btLoadClick(Sender: TObject);
    procedure btSaveClick(Sender: TObject);
    procedure btClearClick(Sender: TObject);
  private
    { Private declarations }
  public
    // Demo management
    procedure Initialize; override;
    procedure SetDebug(Value: boolean); override;
  end;

implementation

{$IFNDEF FPC}
{$IFDEF CLR}
{$R *.nfm}
{$ELSE}
{$R *.dfm}
{$ENDIF}
{$ENDIF}

procedure TTextFrame.btOpenClick(Sender: TObject);
begin
  PgQuery.Open;
end;

procedure TTextFrame.btCloseClick(Sender: TObject);
begin
  PgQuery.Close;
end;

procedure TTextFrame.btLoadClick(Sender: TObject);
begin
  if PgQuery.Active and OpenDialog.Execute then begin
    if PgQuery.State = dsBrowse then
      PgQuery.Edit;

    TBlobField(PgQuery.FieldByName('TextField')).LoadFromFile(OpenDialog.FileName);
  end;
end;

procedure TTextFrame.btSaveClick(Sender: TObject);
begin
  if not (PgQuery.Eof and PgQuery.Bof) and SaveDialog.Execute then
    TBlobField(PgQuery.FieldByName('TextField')).SaveToFile(SaveDialog.FileName);
end;

procedure TTextFrame.btClearClick(Sender: TObject);
begin
  if PgQuery.Active then begin
    if PgQuery.State = dsBrowse then
      PgQuery.Edit;
    PgQuery.FieldByName('TextField').Clear;
  end;
end;

// Demo management
procedure TTextFrame.Initialize;
begin
  inherited;
  PgQuery.Connection := Connection as TPgConnection;
end;

procedure TTextFrame.SetDebug(Value: boolean);
begin
  PgQuery.Debug := Value;
end;

{$IFDEF FPC}
initialization
  {$i Text.lrs}
{$ENDIF}
end.
